import javafx.scene.Scene;
import javafx.scene.effect.GaussianBlur;
import javafx.scene.layout.StackPane;
import javafx.scene.paint.Color;
import javafx.scene.text.Text;

public class SceneManager {
    private static Text weatherText = new Text("加载天气中...");

    public static Scene createMainScene() {
        StackPane root = new StackPane();
        root.setStyle("-fx-background-color: rgba(255, 255, 255, 0.3);");
        root.setEffect(new GaussianBlur(10));
        root.getChildren().add(weatherText);

        Scene scene = new Scene(root);
        scene.setFill(Color.TRANSPARENT);
        return scene;
    }

    public static void updateWeatherDisplay(String weatherData) {
        // 解析JSON并更新显示（示例）
        weatherText.setText("当前天气：晴\n温度：25℃");
    }
}